#
# openmamba milestone3 channel configuration for Smart Package Manager
#
if not sysconf.get(("channels", "milestone3")):
    sysconf.set(("channels", "milestone3"),
			{"alias": "milestone3",
			"type": "apt-rpm",
			"name": "stable milestone3 base packages",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/milestone3",
			"components": "%ARCH%"})

#
# openmamba milestone3-games channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone3-games")):
    sysconf.set(("channels", "milestone3-games"),
			{"alias": "milestone3-games",
			"type": "apt-rpm",
			"name": "stable milestone3 games packages",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/milestone3-games",
			"components": "%ARCH%"})

#
# openmamba milestone3-updates channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone3-updates")):
    sysconf.set(("channels", "milestone3-updates"),
			{"alias": "milestone3-updates",
			"type": "apt-rpm",
			"name": "stable milestone3 updates packages",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/milestone3-updates",
			"components": "%ARCH%"})

#
# openmamba milestone3-kernel channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone3-kernel")):
    sysconf.set(("channels", "milestone3-kernel"),
			{"alias": "milestone3-kernel",
			"type": "apt-rpm",
			"name": "newest kernel release for milestone3 stable systems",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/milestone3-kernel",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba milestone3-kernel-next channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone3-kernel-next")):
    sysconf.set(("channels", "milestone3-kernel-next"),
			{"alias": "milestone3-kernel-next",
			"type": "apt-rpm",
			"name": "experimental kernel release for milestone3 stable systems",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/milestone3-kernel-next",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba milestone3-kde4 channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone3-kde4")):
    sysconf.set(("channels", "milestone3-kde4"),
			{"alias": "milestone3-kde4",
			"type": "apt-rpm",
			"name": "newest kde4 release for milestone3 stable systems",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/milestone3-kde4",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba milestone3-xorg channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone3-xorg")):
    sysconf.set(("channels", "milestone3-xorg"),
			{"alias": "milestone3-xorg",
			"type": "apt-rpm",
			"name": "newest X.org release for milestone3 stable systems",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/milestone3-xorg",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba milestone3-makedist channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "milestone3-makedist")):
    sysconf.set(("channels", "milestone3-makedist"),
			{"alias": "milestone3-makedist",
			"type": "apt-rpm",
			"name": "experimental milestone3 makedist packages",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/milestone3-makedist",
			"components": "%ARCH%",
			"disabled": "yes"})

import os
import sys
release=os.popen("openmamba-release -c").read()

for r in ["milestone3","milestone3-updates","milestone3-games","milestone3-makedist","milestone3-kernel","milestone3-kde4","milestone3-xorg","milestone3-kernel-next"]:
    channel=sysconf.get(("channels", r))
    if channel:
	if channel['baseurl'].startswith('http://www.openmamba.org/'):
		channel['baseurl'] = \
			channel['baseurl'].replace('http://www.openmamba.org/','http://cdn.openmamba.org/')
	channel['fingerprint']='A402 AA41 82DE 06DD 0C82 943A B771 C004 8746 8781'
	sysconf.set(("channels",r),channel)
if release.startswith('milestone3'):
    for r in ["milestone3","milestone3-updates","milestone3-games"]:
	channel=sysconf.get(("channels", r))
        if channel:
    	    channel['disabled']=False
	    sysconf.set(("channels",r),channel)
    for r in ["devel","devel-games"]:
	channel=sysconf.get(("channels", r))
        if channel:
	    channel['disabled']=True
	    sysconf.set(("channels",r),channel)
